# AI Similar Content

## Overview
The **AI Similar Content** module provides real-time suggestions for similar content based on text input fields. It leverages AI-powered embeddings and integrates with the Milvus vector database to find and display content that closely matches the input text. This module is designed to enhance content creation workflows by offering relevant suggestions directly within the editing interface.

## Features
- Real-time suggestions for similar content as you type.
- Support for text inputs, textareas, and WYSIWYG editors (CKEditor 4 and 5).
- AI-powered similarity search using embeddings.
- Integration with the Milvus vector database for efficient similarity matching.
- Configurable debounce delay, similarity threshold, and content types to search.
- Responsive and user-friendly UI for displaying results.

## Installation
1. Place the `ai_similar_content` module in the `modules/custom` directory of your Drupal installation.
2. Enable the module using the Drupal admin interface or via Drush:
   ```bash
   drush en ai_similar_content